Package org.springframework.jdbc.support.xml

# Interface XmlBinaryStreamProvider

@Deprecated(since="6.2") public interface XmlBinaryStreamProvider
Deprecated.
as of 6.2, in favor of direct `SQLXML` usage
Interface defining handling involved with providing `OutputStream` data for XML input.

Since:
  2.5.5
Author:
  Thomas Risberg
See Also:
  - `OutputStream`

## Method Summary

Modifier and Type
Method
Description
`void`
`provideXml(OutputStream outputStream)`
Deprecated.
Implementations must implement this method to provide the XML content for the `OutputStream`.

## Method Details

### provideXml

void provideXml(OutputStream outputStream) throws IOException
Deprecated.
Implementations must implement this method to provide the XML content for the `OutputStream`.

Parameters:
  `outputStream` - the `OutputStream` object being used to provide the XML input
Throws:
  `IOException` - if an I/O error occurs while providing the XML